import {defHttp} from '/@/utils/http/axios';
import { useMessage } from "/@/hooks/web/useMessage";

const { createConfirm } = useMessage();

enum Api {
  list = '/baosong/baosongTaskRecord/list',
  save='/baosong/baosongTaskRecord/add',
  edit='/baosong/baosongTaskRecord/edit',
  deleteOne = '/baosong/baosongTaskRecord/delete',
  deleteBatch = '/baosong/baosongTaskRecord/deleteBatch',
  importExcel = '/baosong/baosongTaskRecord/importExcel',
  exportXls = '/baosong/baosongTaskRecord/exportXls',

  batchSaveOrUpdate = '/baosong/baosongTaskRecord/batchSaveOrUpdate',
  
  queryRecord = '/baosong/baosongTaskRecord/queryRecord',
  
  saveBatch = '/baosong/baosongTaskRecord/saveBatch',

  queryTaskRecords = '/baosong/baosongTaskRecord/queryTaskRecords',

  deleteByPitemidAndRind = '/baosong/baosongTaskRecord/deleteByPitemidAndRind',

  queryHistoryFill = '/baosong/baosongTaskRecord/queryHistoryFill',

  batchSaveOrUpdateBeforeDelete = '/baosong/baosongTaskRecord/batchSaveOrUpdateBeforeDelete',

  findFilledlist = '/baosong/baosongTaskRecord/findFilledlist',
  

}
/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = (params) =>
  defHttp.get({url: Api.list, params});

/**
 * 删除单个
 */
export const deleteOne = (params,handleSuccess) => {
  return defHttp.delete({url: Api.deleteOne, params}, {joinParamsToUrl: true}).then(() => {
    handleSuccess();
  });
}
/**
 * 批量删除
 * @param params
 */
export const batchDelete = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.delete({url: Api.deleteBatch, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}
/**
 * 保存或者更新
 * @param params
 */
export const saveOrUpdate = (params, isUpdate) => {
  let url = isUpdate ? Api.edit : Api.save;
  return defHttp.post({url: url, params});
}


/**
 * 批量保存或者更新
 * @param params
 */
export const batchSaveOrUpdate = (params) => {
  return defHttp.post({url: Api.batchSaveOrUpdate, params});
}

export const batchSaveOrUpdateBeforeDelete = (params) => {
  return defHttp.post({url: Api.batchSaveOrUpdateBeforeDelete, params});
}

export const queryRecord = (params) =>
  defHttp.get({url: Api.queryRecord, params});


export const saveBatch = (params) => {
  return defHttp.post({url: Api.saveBatch, params});
}

export const queryTaskRecords = (params) => {
  return defHttp.get({url: Api.queryTaskRecords, params});
}



export const deleteByPitemidAndRind = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {

      return defHttp.get({url: Api.deleteByPitemidAndRind, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}


/**
 * 列表接口
 * @param params
 */
export const findFilledlist = (params) =>
  defHttp.get({url: Api.findFilledlist, params});







